<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
  <!ENTITY vcard "http://4suite.org/nexus/rdfs/vcard#">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:vcard="&vcard;" 
  xmlns:fschema="http://schemas.4suite.org/4ss"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

  <!--
File:  FILENAME HERE

Description:

    DESCRIPTION HERE


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->

  <xsl:import href='menu-includes.xslt'/>
  <xsl:variable name="genericManage" select="1"/>
  <xsl:variable name="resourcePath" select="/ftss/docs"/>
  <xsl:variable name="action" select="0"/>
  <xsl:variable name="display-name" select="'4Suite Documentation'"/>
  <xsl:variable name="help-reference" select="false"/>
  <xsl:variable name="additional-style" select="false"/>

  <xsl:template match='/'>
    <xsl:call-template name="menus">
      <xsl:with-param name="displayName" select="$display-name"/>
      <xsl:with-param name="help-reference" select="$help-reference"/>
      <xsl:with-param name='additional-style' select="$additional-style"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="genericManager">
    <table class="normal" cellspacing="1" cellpadding="4">
      <tr>
        <td colspan="3">
          <xsl:call-template name="generic-manager-content"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!-- Override to create the links needed, term is the name and def is the link  -->
  <xsl:template match="ext-module">
    <h1>
      <xsl:text>Extension Module - </xsl:text>
      <xsl:value-of select="@name" />
    </h1>
    <xsl:apply-templates mode="summary"/>
    <xsl:apply-templates select="functions"/>
    <xsl:apply-templates select="elements"/>
  </xsl:template>



</xsl:stylesheet>
