<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
  <!ENTITY vcard "http://4suite.org/nexus/rdfs/vcard#">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:vcard="&vcard;" 
  xmlns:fschema="http://schemas.4suite.org/4ss"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

  <!--
File:  FILENAME HERE

Description:

    DESCRIPTION HERE


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->

  <xsl:import href='docs-common.xslt'/>
  <xsl:import href='/ftss/data/modules_html.xslt'/>
  <xsl:variable name="display-name" select="'4Suite Module Documentation'"/>
  <xsl:variable name="additional-style" select="'/ftss/data/modules.css'"/>


  <xsl:template name="generic-manager-content">
    <xsl:apply-templates select='/*'/>
  </xsl:template>

  <!-- Override to create the links needed, term is the name and def is the link  -->
  <xsl:template match="module | package">
    <h1>
      <xsl:value-of select="@name" />
    </h1>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template name='translate-href'>
    <xsl:param name='href'/>
    <xsl:value-of select='concat($href,".xml","?xslt=/ftss/dashboard/docs-modules.xslt")'/>
  </xsl:template>


</xsl:stylesheet>
